# Class IllegalOpenParameterException

Object
Throwable
Exception
DataStoreException
IllegalOpenParameterException

All Implemented Interfaces:
  `Serializable, LocalizedException`

Direct Known Subclasses:
  `UnsupportedStorageException`

public class IllegalOpenParameterException extends DataStoreException
Thrown when a `DataStore` cannot be opened because of invalid parameters. This may be a missing "location" parameter value, or an unsupported object given to `StorageConnector` constructor.

Since:
  0.8
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalOpenParameterException()`
  Creates an exception with no cause and no details message.
  `IllegalOpenParameterException(String message)`
  Creates an exception with the specified details message.
  `IllegalOpenParameterException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `IllegalOpenParameterException(Throwable cause)`
  Creates an exception with the specified cause and no details message.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalOpenParameterException

    public IllegalOpenParameterException()
    Creates an exception with no cause and no details message.

  - ### IllegalOpenParameterException

    public IllegalOpenParameterException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### IllegalOpenParameterException

    public IllegalOpenParameterException(Throwable cause)
    Creates an exception with the specified cause and no details message.
    Parameters:
      `cause` - the cause for this exception.

  - ### IllegalOpenParameterException

    public IllegalOpenParameterException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.